/*
Author: San Bergmans
Feel free to adapt and use this clock on your own home page.

Use:
Add the next line just before the </head> tag of your page:
   <script language="JavaScript" src="clock/clock.js"></script>
Note: The src must follow the real path to your clock script!

Add the next line just before the </body> tag of your page:
   <script> start_clock("path_to_gifs/") </script>
Note: The parameter "path_to_gifs/" is the path to the digit .gifs

Add the next table at the location where you want your clock to be:
	<table width="116" height="24" border="0" cellspacing="0" cellpadding="0">
		<tr>
		<td><img src="clock/digit.gif" name="Hour10" width="17" height="24" border="0"></td>
		<td><img src="clock/digit.gif" name="Hour1" width="17" height="24" border="0"></td>
		<td><img src="clock/colon.gif" name="Colon1" width="7" height="24" border="0"></td>
		<td><img src="clock/digit.gif" name="Minute10" width="17" height="24" border="0"></td>
		<td><img src="clock/digit.gif" name="Minute1" width="17" height="24" border="0"></td>
		<td><img src="clock/colon.gif" name="Colon2" width="7" height="24" border="0"></td>
		<td><img src="clock/digit.gif" name="Second10" width="17" height="24" border="0"></td>
		<td><img src="clock/digit.gif" name="Second1" width="17" height="24" border="0"></td>
		</tr>
	</table>
Note: Again the scr must use the real path to the clock .gifs
*/

var timerID = null;
var digits;

function start_clock (img_path)
{
	if (document.images)
		{ if (timerID != null)
			clearTimeout (timerID);
			digits = preload_digits (img_path);
			update_clock ();
		}
}

function preload_digits (digit_path)
{
	var digits = new Array;

	for (dig_cnt=0; dig_cnt<10; dig_cnt++)
		{
		digits[dig_cnt] = new Image (24,24);
		digits[dig_cnt].src = digit_path + dig_cnt + ".gif";
		}

	return (digits);
}

function update_clock ()
{
	// Get current system time and date
	now = new Date ();

	// Split time in hours, minutes and seconds
	h = now.getHours ();
	m = now.getMinutes ();
	s = now.getSeconds ();

	// Calculate all seperate digits
	h10 = Math.floor (h/10);
	h1  = h%10;
	m10 = Math.floor (m/10);
	m1  = m%10;
	s10 = Math.floor (s/10);
	s1  = s%10;

	// Update only the digits that have changed
	update_digit ('Hour10',h10);
	update_digit ('Hour1',h1);
	update_digit ('Minute10',m10);
	update_digit ('Minute1',m1);
	update_digit ('Second10',s10);
	update_digit ('Second1',s1);

	// Update clock every second from now on (calls itself)
	timerID = setTimeout ("update_clock ()" ,1000)
}

function update_digit ( digit_name, digit_num )
{
	if (document[digit_name].src != digits[digit_num].src)
		document[digit_name].src = digits[digit_num].src;
}
